Subject: php5-xsl problems
To: None <>
From: Louis Guillaume <>
List: pkgsrc-users
Date: 08/26/2007 16:23:24
I posted this to the tech-pkg list by accident the other day; sorry for
reposting. Can anyone help?


-------- Original Message --------
Subject: php5-xsl problems
Date: Fri, 24 Aug 2007 09:02:39 -0400
From: Louis Guillaume <>


On i386, netbsd-3 STABLE, pkgsrc-2007Q2 I get the following message from
php when starting apache:

[24-Aug-2007 00:21:22] PHP Warning:  PHP Startup: Unable to load dynamic
library '/usr/pkg/lib/php/20040412/' -
/usr/pkg/lib/php/20040412/ Undefined symbol
&quot;dom_node_class_entry&quot; (symnum = 66) in Unknown on line 0

Here's the environment...

$ pkg_info |grep php
php-5.2.3nb3        PHP Hypertext Preprocessor version 5
php5-gettext-5.2.3  PHP extension for gettext support
php5-ldap-5.2.3     PHP extension for LDAP database access
php5-mysql-5.2.3    PHP extension for MySQL databases
php5-pgsql-5.2.3    PHP extension for PostgreSQL databases
php5-xsl-5.2.3      PHP5 extension for XSLT functions
ap2-php5-5.2.3nb1   Apache (apache2) module for PHP5

$ grep "^extension" /etc/php.ini
extension_dir = "/usr/pkg/lib/php/20040412"

$ ldd /usr/pkg/lib/php/20040412/
        -lintl.0 => /usr/lib/
        -lgpg-error.0 => /usr/pkg/lib/
        -lgcrypt.11 => /usr/pkg/lib/
        -lz.0 => /usr/lib/
        -lm.0 => /usr/lib/
        -lm.0 => /usr/lib/
        -lxml2.2 => /usr/pkg/lib/
        -lxslt.1 => /usr/pkg/lib/
        -lexslt.0 => /usr/pkg/lib/

Any help would be fantastic,